Subject: [PATCH v2] Allow Guix root-dir overrides when working via Tramp.

From: Brian Cully <[email-masked]>
Date: Sat, 21 May 2022 15:10:24 -0400

From: Brian Cully <[email-masked]>

Add only the local part of the root directory to the guile search
path. This lets you use Tramp to hack on a remote Guix checkout.
---
I think my last patch was mangled by GNUS, so I'm resending it.

FWIW, I've been using this for months without issue.
 .dir-locals.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/.dir-locals.el b/.dir-locals.el
index 09e19223d5..3b75989133 100644
--- a/.dir-locals.el
+++ b/.dir-locals.el
@@ -29,7 +29,7 @@
                ;; Hence the following "when", which might otherwise be unnecessary;
                ;; it prevents causing an error when root-dir-unexpanded is nil.
                (when root-dir-unexpanded
-                 (let* ((root-dir (expand-file-name root-dir-unexpanded))
+                 (let* ((root-dir (file-local-name (expand-file-name root-dir-unexpanded)))
                         ;; Workaround for bug https://issues.guix.gnu.org/43818.
                         (root-dir* (directory-file-name root-dir)))
 
-- 
2.36.1